Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.join
Class ToChildBlockJoinQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.join.ToChildBlockJoinQuery

All Implemented Interfaces:
  Cloneable

    public class ToChildBlockJoinQuery

extends Query

Just like `ToParentBlockJoinQuery`, except this query joins in reverse: you provide a Query matching parent documents and it joins down to child documents.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`ToChildBlockJoinQuery(Query parentQuery, Filter parentsFilter, boolean doScores)` Create a ToChildBlockJoinQuery.

Method Summary
`ToChildBlockJoinQuery` | `clone()`
`Weight` | `createWeight(IndexSearcher searcher)`
`boolean` | `equals(Object _other)`
`void` | `extractTerms(Set<Term> terms)`
`int` | `hashCode()`
`Query` | `rewrite(IndexReader reader)`
`String` | `toString(String field)`

Methods inherited from class org.apache.lucene.search.Query
`getBoost, setBoost, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToChildBlockJoinQuery

    public ToChildBlockJoinQuery(Query parentQuery,
                                 Filter parentsFilter,
                                 boolean doScores)

  Create a ToChildBlockJoinQuery.

  Parameters:
    `parentQuery` - Query that matches parent documents
    `parentsFilter` - Filter (must produce FixedBitSet per-segment) identifying the parent documents.
    `doScores` - true if parent scores should be calculated

Method Detail

### createWeight

    public Weight createWeight(IndexSearcher searcher)
                        throws IOException

  Overrides:
    `createWeight` in class `Query`
  Throws:
    `IOException`

### extractTerms

    public void extractTerms(Set<Term> terms)

  Overrides:
    `extractTerms` in class `Query`

### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

  Overrides:
    `rewrite` in class `Query`
  Throws:
    `IOException`

### toString

    public String toString(String field)

  Specified by:
    `toString` in class `Query`

### equals

    public boolean equals(Object _other)

  Overrides:
    `equals` in class `Query`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Query`

### clone

    public ToChildBlockJoinQuery clone()

  Overrides:
    `clone` in class `Query`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.